# Uses of Interface
javax.imageio.event.IIOReadUpdateListener

Packages that use IIOReadUpdateListener
Package
Description
javax.imageio
The main package of the Java Image I/O API.

## Uses of IIOReadUpdateListener in javax.imageio

Fields in javax.imageio with type parameters of type IIOReadUpdateListener
Modifier and Type
Field
Description
`protected List<IIOReadUpdateListener>`
ImageReader.`updateListeners`
A `List` of currently registered `IIOReadUpdateListener`s, initialized by default to `null`, which is synonymous with an empty `List`.
Methods in javax.imageio with parameters of type IIOReadUpdateListener
Modifier and Type
Method
Description
`void`
ImageReader.`addIIOReadUpdateListener(IIOReadUpdateListener listener)`
Adds an `IIOReadUpdateListener` to the list of registered update listeners.
`void`
ImageReader.`removeIIOReadUpdateListener(IIOReadUpdateListener listener)`
Removes an `IIOReadUpdateListener` from the list of registered update listeners.